/**
 *  设备授权管理 - 油机SDK授权页面
 *  数据对象的Dto
 * */

import {pageInput} from "/@/api/admin/shareDto/shareDto";

/**
 * @name: 数据对象接口
 * @description: 设备授权管理 - 油机SDK授权页面文件筛选条件
 * @author wyoujia
 * @date 2023-55-29 11:55:55
*/

/**
 * 条件查询模块
 */
export interface oilSdkFilterModel {
  /**guid*/
  guid?: number ,
  /**油站名称 */
  oilStation?: string | null,
  /**项目名称 */
  project?: string | null,
  /**设备SN */
  sn?: string | null,
  /**授权码*/
  key?: string,
  /**开始的时间 */
  beginTime?: string | null,
  /**开始的时间 */
  endTime?: string | null,
}

/**
 * 表格信息
 */
export interface oilSdkTableModel {
  /***/
  guid: number,
  /**加油站*/
  oilStation: string | null,
  /**项目名称*/
  projectName: string | null,
  /**设备SN号*/
  sn: string | null,
  /**密钥key*/
  key: string | null,
  /**过期时间*/
  expiedTime: string | null,
  /**状态*/
  state: string | null,
  /**备注*/
  "remark": string | null
}

/**
 * @name: 数据对象接口
 * @description: 设备授权管理 - 油机SDK授权页面
 * @author wyoujia
 * @date 2023-12-29 11:12:08
*/
export interface OilSdkAuthorDto {
  /**加载显示 */
  loading: boolean,
  /**条件查询模块 */
  filterModel: oilSdkFilterModel,
  /**表格信息 */
  tableModel: oilSdkTableModel [] | null,
  /**分页标识 */
  pageInput: pageInput,
  /**分页总数 */
  total: number,
}

/**结果输出*/
export interface oilSdkAuthorDtoResult {
  /** 是否成功标记 */
  success?: boolean
  /** 编码 */
  code?: string | null
  /** 消息 */
  msg?: string | null
  /** 分页信息输出 */
  data?: oilSdkAuthorPageOutput
}

/** 分页信息输出*/
export interface oilSdkAuthorPageOutput{
  /**
   * 数据总数
   * @format int64
   */
  total?: number
  /** 数据 */
  list?: oilSdkTableModel[] | null
}

/** 分页信息输入 */
export interface oilSdkAuthorPostPageDto {
  /**
   * 当前页标
   * @format int32
   */
  currentPage?: number
  /**
   * 每页大小
   * @format int32
   */
  pageSize?: number
  dynamicFilter?: DynamicFilterInfo
  filter?: oilSdkFilterModel
}
